with Ada.Text_IO;
use Ada.Text_IO;

generic

  with procedure S_Show(S: in Scalar; NewLine: in Boolean := True) is <>;
  with procedure S_Get(F: in File_Type; S: out Scalar; Decimal: in Boolean := True) is <>;
  with procedure S_Put(F: in File_Type; S: in Scalar; Decimal: in Boolean := True) is <>;

package Scalars.IO is

  procedure Show(S: in Scalar; NewLine: in Boolean := True) renames S_Show;
  procedure Get(F: in File_Type; S: out Scalar; Decimal: in Boolean := True) renames S_Get;
  procedure Put(F: in File_Type; S: in Scalar; Decimal: in Boolean := True) renames S_Put;

end Scalars.IO;
