
package body ScalMisc is

  function IsScalar(S: Scalar) return Boolean is
  begin
    return True;
  end IsScalar;

  function IsZero(S: Scalar) return Boolean is
  begin
    return S=Zero_Scalar;
  end IsZero;

  procedure Neg(S: in out Scalar) is
  begin
    S := -S;
  end Neg;

  procedure Sum(P,Q: in Scalar; F: out Scalar) is
  begin
     F := P+Q;
  end Sum;

  procedure Add(S: in Scalar; T: in out Scalar) is
  begin
    T := S+T;
  end Add;

  procedure Diff(P,Q: in Scalar; F: out Scalar) is
  begin
    F := P-Q;
  end Diff;

  procedure Sub(S: in Scalar; T: in out Scalar) is
  begin
    T := T-S;
  end Sub;

  procedure Prod(S,P: in Scalar; Q: out Scalar) is
  begin
     Q := S*P;
  end Prod;

  procedure Mult(S: in Scalar; T: in out Scalar) is
  begin
    T := S*T;
  end Mult;

  procedure MultAdd(R,S: in Scalar; T: in out Scalar) is
  begin
    T := R*S+T;
  end MultAdd;

  procedure Div(S: in Scalar; T: in out Scalar) is
  begin
    T := T/S;
  end Div;

end ScalMisc;
