with Ada.Text_IO, Scalars.IO;
use Ada.Text_IO;

generic

  with package Numbers_IO is new Numbers.IO (<>);

package Taylors.IO is

  procedure Show(P: in Taylor);
  procedure Get(F: in File_Type; P: out Taylor; Decimal: in Boolean := True);
  procedure Put(F: in File_Type; P: in Taylor; Decimal: in Boolean := True);
  procedure Read(Name: in String; P: out Taylor; Decimal: in Boolean := True);
  procedure Write(Name: in String; P: in Taylor; Decimal: in Boolean := True);

end Taylors.IO;
